# EZ_ConfigureWidget

##

##

##

##

##

##

    NAME
           EZ_ConfigureWidget - configure an existing widget

    SYNOPSIS
           #include <EZ.h>

           void EZ_ConfigureWidget(EZ_Widget *widget", ... )

    ARGUMENTS
           widget Specifies a widget

            ... Specify configuration options and their values.

    DESCRIPTION
           EZ_ConfigureWidget  sets  or  modifies  widget attributes,
           things like label string,  color,  border.  This  function
           takes  a variable length arguments, a list of symbols each
           followed by one or more values. The last  symbol  must  be
           NULL,  which  is  itself  not  followed by any values. For
           example
             EZ_ConfigureWidget(slider,
                                EZ_SLIDER_RANGE,        -10.0, 20.0,
                                EZ_SLIDER_DISPLAY_VALUE, True,
                                EZ_SLIDER_RESOLUTION,    0.5
                                EZ_SLIDER_INIT_VALUE,    10.0,
                                0);
           sets the range of slider to [-10.0, 20.0]; sets the current slider
           value to 10.0; set the slider resolution to 0.5 and enable the slider
           to display its current value.

    CONFIGURATION SYMBOLS AND THEIR VALUES
           See manual for a complete list of configuration options.

    SEE ALSO
           EZ_CreateWidget(3),  EZ_DisplayWidget(3),   EZ_DestroyWidget(3)